> ## Documentation Index
> Fetch the complete documentation index at: https://docs.turncall.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Bind Phone Number

> Bind a Twilio phone number to a routing target.



## OpenAPI

````yaml /openapi.json post /v1/phone-numbers
openapi: 3.1.0
info:
  title: TurnCall
  description: Production voice agent platform API
  version: 0.1.0
servers: []
security: []
paths:
  /v1/phone-numbers:
    post:
      tags:
        - phone-numbers
      summary: Bind Phone Number
      description: Bind a Twilio phone number to a routing target.
      operationId: bind_phone_number_v1_phone_numbers_post
      parameters:
        - name: authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BindPhoneNumberRequest'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
                title: Response Bind Phone Number V1 Phone Numbers Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    BindPhoneNumberRequest:
      properties:
        external_number_sid:
          type: string
          maxLength: 64
          minLength: 1
          title: External Number Sid
        e164_number:
          type: string
          pattern: ^\+[1-9]\d{1,14}$
          title: E164 Number
        routing_target_type:
          type: string
          pattern: ^(agent|workflow|webhook)$
          title: Routing Target Type
        routing_target_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Routing Target Id
        server_url:
          anyOf:
            - type: string
              maxLength: 2048
            - type: 'null'
          title: Server Url
        sms_enabled:
          type: boolean
          title: Sms Enabled
          default: false
        metadata:
          additionalProperties: true
          type: object
          title: Metadata
      type: object
      required:
        - external_number_sid
        - e164_number
        - routing_target_type
      title: BindPhoneNumberRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````